Bug 869615 - cannot start network.service - arping: cap_set_proc: Permission denied
cannot start network.service - arping: cap_set_proc: Permission denied
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 08:28 EDT by Petr Lautrbach
Modified: 2014-02-05 18:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:22:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2012-10-24 08:28:45 EDT
# journalctl -a --no-pager _SYSTEMD_UNIT=network.service                   
Logs begin at Wed, 24 Oct 2012 14:14:13 +0200, end at Wed, 24 Oct 2012 14:16:26 +0200.           
Oct 24 14:14:18 rawhide-devel network[413]: Bringing up loopback interface:  [  OK  ]            
Oct 24 14:14:19 rawhide-devel network[413]: Bringing up interface eth0:  arping: cap_set_proc: Permission denied                                                                                                
Oct 24 14:14:19 rawhide-devel network[413]: ERROR    : [/etc/sysconfig/network-scripts/ifup-eth] Error, some other host already uses address 192.168.122.51.                                                    
Oct 24 14:14:19 rawhide-devel /etc/sysconfig/network-scripts/ifup-eth[535]: Error, some other host already uses address 192.168.122.51.                                                                         
Oct 24 14:14:19 rawhide-devel network[413]: [FAILED]                              


# ausearch -m avc -ts 14:23:16
---
time->Wed Oct 24 14:23:20 2012
type=SYSCALL msg=audit(1351081400.904:45): arch=c000003e syscall=126 success=yes exit=0 a0=7f0098a4b014 a1=7f0098a4b01c a2=7f0098a4b010 a3=7fff3af9a560 items=0 ppid=1481 pid=1502 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm="arping" exe="/usr/sbin/arping" subj=system_u:system_r:netutils_t:s0 key=(null)
type=AVC msg=audit(1351081400.904:45): avc:  denied  { setcap } for  pid=1502 comm="arping" scontext=system_u:system_r:netutils_t:s0 tcontext=system_u:system_r:netutils_t:s0 tclass=process

# rpm -q selinux-policy
selinux-policy-3.11.1-36.fc18.noarch
Comment 1 Miroslav Grepl 2012-10-24 08:32:57 EDT
It has been fixed in selinux-policy-3.11.1-43.fc18.noarch
Comment 2 Fedora End Of Life 2013-12-21 10:49:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 18:22:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.